package com.steerinfo.ems.tmaintenance.service;

import com.steerinfo.ems.tsubmitted.model.TSubmitted;
import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.ems.tmaintenance.model.TMaintenance;
import com.steerinfo.framework.service.pagehelper.PageList;

import java.util.Date;
import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * TMaintenance服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2022-06-09 09:13
 * 类描述
 * 修订历史：
 * 日期：2022-06-09
 * 作者：generator
 * 参考：
 * 描述：TMaintenance服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface ITMaintenanceService extends IBaseService<TMaintenance, String>{
    Integer MaxID(String mount);
    List<TMaintenance> selectAll();
    Integer deleMes(String ids,String id);
    Integer updatecheck(String ids);
    Integer pusMes(TMaintenance param);
    Integer pusMesAll(String declareid,String billstatus);
    Integer pusMesAlla(String declareid,String billstatus,String approver,String datetime);
    PageList<TMaintenance> listLikeapproval(Map<String, Object> parameters, Integer pageNum, Integer pageSize);
    PageList<TMaintenance> listLikeapprovals(Map<String, Object> parameters, Integer pageNum, Integer pageSize);
    PageList<TMaintenance> approval(Map<String, Object> parameters, Integer pageNum, Integer pageSize);
    Integer upstate (TMaintenance t);
    String selectfilename(String filname);
}